List Super Admins Assigned to Company

Lists all Super Admins assigned to the Company associated with companyId. This endpoint includes extended Super Admin account data for each Super Admin. The id returned in the response may be used with other Super Admin API endpoints as the superAdminId.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

companyIdstringRequired

Query parameters

limitintegerOptional1-200Defaults to 10
Maximum number of entries to return per page of results.
offsetintegerOptional>=0Defaults to 0
The number of entries to skip before returning the current page of results.
qstringOptional

Search string for the request. Response data will be limited to accounts matching this string in firstName, lastName, or email.

isIncludeExtraFieldsenumOptionalDefaults to 0

Indicates whether to include extra fields in the response. A value of 0 will exclude extra fields, while a value of 1 will include them.

Allowed values:

Response

SUCCESS
codeintegerDefaults to 200
datalist of objects
metaobject

Errors

404
Not Found Error